JNA API 3.3.0

## com.sun.jna.platform.win32
Class WinUser.INPUT

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinUser.INPUT

Direct Known Subclasses:
  WinUser.INPUT.ByReference

Enclosing interface:
  WinUser

    public static class WinUser.INPUT

extends Structure

Used by SendInput to store information for synthesizing input events such as keystrokes, mouse movement, and mouse clicks.

Nested Class Summary
`static class` | `WinUser.INPUT.ByReference`
`static class` | `WinUser.INPUT.INPUT_UNION`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByValue`

Field Summary
`WinUser.INPUT.INPUT_UNION` | `input`
`static int` | `INPUT_HARDWARE`
`static int` | `INPUT_KEYBOARD`
`static int` | `INPUT_MOUSE`
`WinDef.DWORD` | `type`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinUser.INPUT()`
`WinUser.INPUT(Pointer memory)`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### INPUT_MOUSE

    public static final int INPUT_MOUSE

See Also:
  Constant Field Values

### INPUT_KEYBOARD

    public static final int INPUT_KEYBOARD

See Also:
  Constant Field Values

### INPUT_HARDWARE

    public static final int INPUT_HARDWARE

See Also:
  Constant Field Values

### type

    public WinDef.DWORD type

### input

    public WinUser.INPUT.INPUT_UNION input

Constructor Detail

### WinUser.INPUT

    public WinUser.INPUT()

### WinUser.INPUT

    public WinUser.INPUT(Pointer memory)

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.